# Functor Dot.Parse

    module Parse: functor (B : Builder.S) -> functor (L : sigval node : Dot_ast.node_id -> Dot_ast.attr list -> B.G.V.label
    How to build the node label out of the set of attributes

    val edge : Dot_ast.attr list -> B.G.E.label
    How to build the edge label out of the set of attributes

    end) -> sig .. end

Provide a parser for DOT file format.

Parameters:

`B` | : | `Builder.S`
`L` | : | `sig val node : node_id -> attr list -> B.G.V.label (** How to build the node label out of the set of attributes *) val edge : attr list -> B.G.E.label (** How to build the edge label out of the set of attributes *) end`

    val parse : string -> B.G.t

Parses a dot file

    val parse_bounding_box_and_clusters : string -> B.G.t * string * Dot.clusters_hash

Parses a dot file and returns the graph, its bounding box and a hash table from clusters to dot attributes